Test code bug in application_helper_test

2016-04-13 21:57 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed Affected version:  

Description

ApplicationHelperTest#test_table_of_content_should_generate_unique_anchors concatenates an expected string. Unfortunately,

there are two + signs missing, so that the test does not test, what is immediately expected.

The attached patch fixes that bug.

Since the most important element of the expected string - the generated ID - was always part of the generated expected string, this

error was technically not relevant. Nevertheless, I think it should be fixed.

Associated revisions

Revision 15333 - 2016-04-14 20:45 - Jean-Philippe Lang

Add missing + signs (#22493).

Patch by Gregor Schmidt.

History

#1 - 2016-04-13 23:50 - Go MAEDA

- Target version set to 3.3.0

#2 - 2016-04-14 20:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Thanks.

Files

0001-Add-missing-signs.patch 1.19 KB 2016-04-13 Gregor Schmidt
